
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#include "base/polygraph.h"

#include <fstream.h>

#include "xstd/gadgets.h"
#include "loganalyzers/ReportTraceFigure.h"


void ReportTraceFigure::globalStart(Time aStart) {
	theGlobalStart = aStart;
}

// use gnuplot date axis?
void ReportTraceFigure::dumpTime(Time stamp) {
	static bool complained = false;
	complained = complained || !Should(theGlobalStart >= 0);

	*theCtrlFile << Max(0.0, (stamp - theGlobalStart).secd()/60);
}
