
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#include "pgl/pgl.h"

#include "pgl/PglUndefOpExprSym.h"

const String UndefOpExprSym::TheType = "UndefOpExpr";


UndefOpExprSym::UndefOpExprSym(): ExpressionSym(TheType) {
}

bool UndefOpExprSym::isA(const String &type) const {
	return ExpressionSym::isA(type) || type == TheType;
}

SynSym *UndefOpExprSym::dupe(const String &type) const {
	if (isA(type))
		return new UndefOpExprSym();
	else
		return ExpressionSym::dupe(type);
}
