
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_PGL_UNDEF_OP_EXPR_SYM_H
#define PG_PGL_UNDEF_OP_EXPR_SYM_H

#include "pgl/PglExprSym.h"

// "undefined" or "null" expression -- undefines LHS value
class UndefOpExprSym: public ExpressionSym {
	public:
		static const String TheType;

	public:
		UndefOpExprSym();

		virtual bool isA(const String &type) const;

	protected:
		virtual SynSym *dupe(const String &) const;
};

#endif
