
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_BEEP_SESSION_RECORD_H
#define PG_BEEP_SESSION_RECORD_H

#include "xstd/FileScanner.h"
#include "xstd/Socket.h"

class BeepSessionMgr;

// keeps state for BeepDoorMan's sessions
class BeepSessionRec {
	public:
		BeepSessionRec();

	public:
		int theIdx;
		Socket theSock;
		NetAddr theRAddr;        // remote address
		BeepSessionMgr *theMgr;
		FileScanReserv theRdRes;
		FileScanReserv theWrRes;
};

#endif
