
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PGL_KNOWN_NAMES_ARRAY_SYMBOL_H
#define PGL_KNOWN_NAMES_ARRAY_SYMBOL_H

#include "pgl/PglArraySym.h"

// array of symbol names (i.e. array of references)
class KnownNamesSym: public ArraySym {
	public:
		static String TheType;

	public:
		KnownNamesSym(const String &anItemType);

		virtual bool isA(const String &type) const;

	protected:
		virtual ArraySym *create(const String &itemType) const;
};

#endif
