
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef XSTD_IOMANIP_META_H
#define XSTD_IOMANIP_META_H

#include <stdlib.h>
#include "xstd/h/iosfwd.h"

#if defined(HAVE_IOMANIP_H)
#include <iomanip.h>
#elif defined(HAVE_IOMANIP)
#include <iomanip>
#endif

// handy manipulators to terminate a program after an error message
inline ostream &xabort(ostream &os) { ::abort(); return os; }
inline ostream &xexit(ostream &os) { ::exit(-1); return os; }

#endif
